@mixin make-positions($rows: 12, $breakpoints: $grid-breakpoints) {


  @each $breakpoint in map-keys($breakpoints) {
    $infix: breakpoint-infix($breakpoint, $breakpoints);



    @include media-breakpoint-up($breakpoint, $breakpoints) {
      .pos#{$infix}-absolute {
        position: absolute;
      }
      .pos#{$infix}-relative {
        position: relative;
      }
      .pos#{$infix}-initial {
        position: initial;
      }
      .pos#{$infix}-fixed {
        position: fixed;
      }
      

      @for $i from 0 through $rows {
        .direct#{$infix}-#{$i} {
          left: percentage( $i / $rows );
        }
        .opposite#{$infix}-#{$i} {
          right: percentage( $i / $rows );
        }
        .top#{$infix}-#{$i} {
          top: percentage( $i / $rows );
        }
        .bottom#{$infix}-#{$i} {
          bottom: percentage( $i / $rows );
        }
      }
      .left#{$infix}-auto {
        left:auto;
      }
      .top#{$infix}-auto {
        top:auto;
      }
      .right#{$infix}-auto {
        right:auto;
      }
      .bottom#{$infix}-auto {
        bottom:auto;
      }
      .vcenter#{$infix}{
        top: 50%;
        transform: translateY(-50%);

        &.center#{$infix}{
          transform: translate(-50%,-50%);
          .rtl &{
            transform: translate(50%,-50%);
          }
        }
      }
    }
  }
}


@include make-positions();